## org.w3c.jigsaw.https.socket
Class SSLSocketClient

    java.lang.Object
      |
      +--org.w3c.jigsaw.http.Client
            |
            +--org.w3c.jigsaw.http.socket.SocketClient
                  |
                  +--org.w3c.jigsaw.https.socket.SSLSocketClient

public class SSLSocketClient
extends SocketClient

Fields inherited from class org.w3c.jigsaw.http.socket.SocketClient
`alive, bindcount, bufout, done, idle, socket, thread`

Fields inherited from class org.w3c.jigsaw.http.Client
`buffer, cont, debug, identifier, prev_body_count, reqcount, server`

Constructor Summary
`protected` `SSLSocketClient(httpd server, SocketClientFactory pool, SocketClientState state)` Creates an empty client.

Method Summary
`javax.net.ssl.SSLSession` `getSession()` Supplies the ssl session associated with the underlying socket.

Methods inherited from class org.w3c.jigsaw.http.socket.SocketClient
`bind, getBindCount, getInetAddress, getThread, idleConnection, join, kill, run, stopConnection, toString, unbind, usedConnection`

Methods inherited from class org.w3c.jigsaw.http.Client
`chunkTransfer, emitReply, error, getIdentifier, getInputStream, getMajorVersion, getMinorVersion, getNextRequest, getOutputStream, getRequestCount, getServer, handleTimerEvent, initialize, interruptConnection, isInterrupted, isRunning, log, processRequest, sendContinue, sendContinue, startConnection, trace, tryKeepConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SSLSocketClient

    protected SSLSocketClient(httpd server,
                              SocketClientFactory pool,
                              SocketClientState state)

  Creates an empty client.
  Parameters:
    `server` - the target http(s( daemon
    `pool` - the client factory in use
    `state` - the socket cliente state in use

Method Detail

### getSession

    public javax.net.ssl.SSLSession getSession()

  Supplies the ssl session associated with the underlying socket.
  Returns:
    the associated ssl session or null